org.mariadb.jdbc.internal

## Enum MariaDbType

- java.lang.Object
- - java.lang.Enum<MariaDbType>
  - - org.mariadb.jdbc.internal.MariaDbType

All Implemented Interfaces:
  Serializable, Comparable<MariaDbType>

    public enum MariaDbType
    extends Enum<MariaDbType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BIGINT`
`BIT`
`BLOB`
`DATE`
`DATETIME`
`DECIMAL`
`DOUBLE`
`ENUM`
`FLOAT`
`GEOMETRY`
`INTEGER`
`LONGBLOB`
`MEDIUMBLOB`
`MEDIUMINT`
`NEWDATE`
`NULL`
`OLDDECIMAL`
`SET`
`SMALLINT`
`STRING`
`TIME`
`TIMESTAMP`
`TINYBLOB`
`TINYINT`
`VARCHAR`
`VARSTRING`
`YEAR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Class` `classFromJavaType(int type)` Permit to know java result class according to java.sql.Types.
`static MariaDbType` `fromServer(int typeValue)` Convert server Type to server type.
`String` `getClassName()`
`static String` `getClassName(MariaDbType type, int len, boolean signed, boolean binary, int flags)` Get class name.
`static String` `getColumnTypeName(MariaDbType type, long len, boolean signed, boolean binary)` Get columnTypeName.
`String` `getJavaTypeName()`
`int` `getSqlType()`
`int` `getType()`
`String` `getTypeName()`
`static boolean` `isNumeric(MariaDbType type)` Is type numeric.
`static MariaDbType` `toServer(int javaType)` Convert javatype to MariaDbType.
`static MariaDbType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MariaDbType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OLDDECIMAL

    public static final MariaDbType OLDDECIMAL

#### TINYINT

    public static final MariaDbType TINYINT

#### SMALLINT

    public static final MariaDbType SMALLINT

#### INTEGER

    public static final MariaDbType INTEGER

#### FLOAT

    public static final MariaDbType FLOAT

#### DOUBLE

    public static final MariaDbType DOUBLE

#### NULL

    public static final MariaDbType NULL

#### TIMESTAMP

    public static final MariaDbType TIMESTAMP

#### BIGINT

    public static final MariaDbType BIGINT

#### MEDIUMINT

    public static final MariaDbType MEDIUMINT

#### DATE

    public static final MariaDbType DATE

#### TIME

    public static final MariaDbType TIME

#### DATETIME

    public static final MariaDbType DATETIME

#### YEAR

    public static final MariaDbType YEAR

#### NEWDATE

    public static final MariaDbType NEWDATE

#### VARCHAR

    public static final MariaDbType VARCHAR

#### BIT

    public static final MariaDbType BIT

#### DECIMAL

    public static final MariaDbType DECIMAL

#### ENUM

    public static final MariaDbType ENUM

#### SET

    public static final MariaDbType SET

#### TINYBLOB

    public static final MariaDbType TINYBLOB

#### MEDIUMBLOB

    public static final MariaDbType MEDIUMBLOB

#### LONGBLOB

    public static final MariaDbType LONGBLOB

#### BLOB

    public static final MariaDbType BLOB

#### VARSTRING

    public static final MariaDbType VARSTRING

#### STRING

    public static final MariaDbType STRING

#### GEOMETRY

    public static final MariaDbType GEOMETRY

### Method Detail

#### values

    public static MariaDbType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MariaDbType c : MariaDbType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MariaDbType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### classFromJavaType

    public static Class classFromJavaType(int type)

Permit to know java result class according to java.sql.Types.

Parameters:
  `type` - java.sql.Type value
Returns:
  Class name.

#### isNumeric

    public static boolean isNumeric(MariaDbType type)

Is type numeric.

Parameters:
  `type` - mariadb type
Returns:
  true if type is numeric

#### getClassName

    public String getClassName()

#### getClassName

    public static String getClassName(MariaDbType type,
                                      int len,
                                      boolean signed,
                                      boolean binary,
                                      int flags)

Get class name.

Parameters:
  `type` - type
  `len` - len
  `signed` - signed
  `binary` - binary
  `flags` - flags
Returns:
  class name

#### getColumnTypeName

    public static String getColumnTypeName(MariaDbType type,
                                           long len,
                                           boolean signed,
                                           boolean binary)

Get columnTypeName.

Parameters:
  `type` - type
  `len` - len
  `signed` - signed
  `binary` - binary
Returns:
  type

#### fromServer

    public static MariaDbType fromServer(int typeValue)

Convert server Type to server type.

Parameters:
  `typeValue` - type value
Returns:
  MariaDb type

#### toServer

    public static MariaDbType toServer(int javaType)

Convert javatype to MariaDbType.

Parameters:
  `javaType` - javatype value
Returns:
  mariaDb type value

#### getSqlType

    public int getSqlType()

#### getTypeName

    public String getTypeName()

#### getType

    public int getType()

#### getJavaTypeName

    public String getJavaTypeName()